fop 1.1

## org.apache.fop.render.pdf.extensions
Class AbstractPDFExtensionElement

    java.lang.Object
      org.apache.fop.fo.FONode
          org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  PDFEmbeddedFileElement

    public abstract class AbstractPDFExtensionElement

extends FONode

Base class for the PDF-specific extension elements.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.fo.FONode
`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

Field Summary
`protected PDFExtensionAttachment` `attachment` Extension attachment.

Fields inherited from class org.apache.fop.fo.FONode
`FO_URI, FOX_URI, locator, log, parent, siblings`

Constructor Summary
`AbstractPDFExtensionElement(FONode parent)` Default constructor

Method Summary
`ExtensionAttachment` `getExtensionAttachment()` Returns the extension attachment.
`java.lang.String` `getNamespaceURI()` Returns the namespace URI for this node
`java.lang.String` `getNormalNamespacePrefix()` Returns the normally used namespace prefix for this node
`protected abstract ExtensionAttachment` `instantiateExtensionAttachment()` Instantiates extension attachment object.

Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, characters, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, endOfNode, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocalName, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getUserAgent, inMarker, invalidChildError, invalidChildError, isBidiRangeBlockItem, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, processNode, removeChild, setLocator, setStructureTreeElement, startOfNode, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, validateChildNode, warningText`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attachment

    protected PDFExtensionAttachment attachment

  Extension attachment.

Constructor Detail

### AbstractPDFExtensionElement

    public AbstractPDFExtensionElement(FONode parent)

  Default constructor

  Parameters:
    `parent` - parent of this node
  See Also:
    `FONode.FONode(FONode)`

Method Detail

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Returns the namespace URI for this node

  Overrides:
    `getNamespaceURI` in class `FONode`
  Returns:
    the namespace URI for this node

### getNormalNamespacePrefix

    public java.lang.String getNormalNamespacePrefix()

  Returns the normally used namespace prefix for this node

  Specified by:
    `getNormalNamespacePrefix` in class `FONode`
  Returns:
    the normally used namespace prefix for this kind of node (ex. "fo" for XSL-FO)

### getExtensionAttachment

    public ExtensionAttachment getExtensionAttachment()

  Returns the extension attachment.

  Overrides:
    `getExtensionAttachment` in class `FONode`
  Returns:
    the extension attachment if one is created by the extension element, null otherwise.
  See Also:
    `FONode.getExtensionAttachment()`

### instantiateExtensionAttachment

    protected abstract ExtensionAttachment instantiateExtensionAttachment()

  Instantiates extension attachment object.

  Returns:
    extension attachment

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.